import urllib2
import json

def resolve_federation(dest_str):
	if '@' not in dest_str:
		return dest_str

	dest_host = dest_str.split('@')
	account = dest_host[0]
	host = dest_host[1]

	fed_info = {
		'account': account,
		'host': host
	}

	return fed_info


def post_data(host, data):
	req = urllib2.Request('https://' + host + '/btc/')
	req.add_header('Content-Type', 'application/json')

	response = urllib2.urlopen(req, json.dumps(data))

	return response