from account import Account, Currency, AccountClass, AccountOwner, Movement
from sqlalchemy.orm.exc import MultipleResultsFound, NoResultFound

from db import models, ForeignKey, createsession, engine, attach_session

def getaccountclass(accountclass):
	with createsession(engine) as session:
		try:
			obj = session.query(AccountClass).filter_by(name=accountclass).one()
		except NoResultFound:
			obj = AccountClass(name=accountclass)
			session.add(obj)
			session.commit()

	return obj