from utils import operation
from core.dispatcher import Dispatcher

import requests

uri = 'btc'

operations = [
	operation('setCurrencyWallet', requests.set_currency_wallet),
	operation('getCurrencyWallet', requests.get_currency_wallet),

	operation('getCurrencyRate', requests.get_currency_rate),

	operation('send', requests.send),

	# protocol
	operation('getReceiveAddress', requests.get_receive_address),
	operation('notifyTransaction', requests.notify_transaction),

	operation('callback', Dispatcher([operation('', requests.callback)])),
]